Bug 192077 - [PATCH] databases/rrdtool: strip(1) the RRDs.so
[PATCH] databases/rrdtool: strip(1) the RRDs.so
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Niclas Zeising
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-24 01:31 UTC by takefu
Modified: 2014-08-30 18:57 UTC (History)
1 user (show)

See Also:


Attachments
rrdtool.patch (619 bytes, patch)
2014-07-24 01:31 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2014-07-24 01:31:14 UTC
Created attachment 144924 [details]
rrdtool.patch

strip(1) the RRDs.so
Comment 1 John Marino freebsd_committer 2014-07-24 08:07:23 UTC
over to maintainer
Comment 2 Niclas Zeising freebsd_committer 2014-07-25 17:58:18 UTC
As far as I can tell, that patch doesn't run strip at all.
Comment 3 John Marino freebsd_committer 2014-07-25 19:57:46 UTC
maybe the addition of "-s" is what strips it...?
Comment 4 Niclas Zeising freebsd_committer 2014-07-25 19:59:38 UTC
I did not see that.  What's up with the other changes though?
Also, this will strip even if DEBUG is set.
Comment 5 takefu 2014-07-31 00:27:44 UTC
How to reproduce.
Write to/etc/make.conf 'DEVELOPER = yes' to run make -dl

> echo "====> Running Q/A tests (stage-qa)"
> ====> Running Q/A tests (stage-qa)
> /usr/bin/env STAGEDIR=/usr/ports/databases/rrdtool/work/stage  PREFIX=/usr/local  LOCALBASE=/usr/local  "STRIP=-s" USESLIBTOOL=yes /bin/sh /usr/ports/Mk/Scripts/qa.sh
> Warning: 'lib/perl5/site_perl/5.20/mach/auto/RRDs/RRDs.so' is not stripped consider using ${STRIP_CMD}

Is used for patch of my warning will disappear.


(In reply to Niclas Zeising from comment #4)
> I did not see that.  What's up with the other changes though?
> Also, this will strip even if DEBUG is set.
Comment 6 commit-hook freebsd_committer 2014-08-30 18:56:23 UTC
A commit references this bug:

Author: zeising
Date: Sat Aug 30 18:55:24 UTC 2014
New revision: 366667
URL: http://svnweb.freebsd.org/changeset/ports/366667

Log:
  Strip RRDs.so
  Approach choosen is different from the one in the PR.

  PR:		192077
  Submitted by:	takefu@airport.fm

Changes:
  head/databases/rrdtool/Makefile
Comment 7 Niclas Zeising freebsd_committer 2014-08-30 18:57:32 UTC
Fixed, using a different approach.

Thanks for the submission!